ISPCVT(1)

NAME
ispcvt - verify if current video driver is pcvt driver

SYNOPSIS
ispcvt [-c] [-d device] [-v]

DESCRIPTION
The ispcvt utility allows the user to check whether the current video driver compiled into the kernel is a pcvt driver. The major and minor release numbers of the driver are also checked. Furthermore ispcvt is also able to print out the values of all the “PCVT_XXXXXX” compile time options, the driver in the current running kernel was compiled with.

The options are as follows:

-d  Specifies a device for which the check is done.

-v  Specifies being verbose. On success the name and revision is reported, on failure which comparison failed.

-c  This options prints out the values of all “PCVT_XXXXXX” #defines which were given to the compiler at the time the currently running kernel was compiled. Specifying -v with the -c option gives a verbose listing of the compile-time options.

RETURN VALUE

0   driver is pcvt and major and minor numbers match

1   open or ioctl system call failed

2   driver name mismatch

3   name matched, release major number mismatch

4   name & major number matched, release minor number mismatch

5   usage error

BUGS
No known bugs

SEE ALSO
pcvt(4)